Page MenuHomePhabricator

RFC: Support a branching content history model
Closed, DeclinedPublic

Description

https://www.mediawiki.org/wiki/Requests_for_comment/Branching

Key ideas here:

  • Provide a unified mechanism for,
    • Drafts
    • Changes to protected articles
    • Newbie or other high-risk changes
    • Interwiki synchronization
    • Conflict resolution
  • Protect editor sanity by hiding the complexity of branching.
  • We should treat edits as deltas rather than a full copy of the text. This can be done conceptually, without changing the schema. "Rebasing" should be easy. Review and merge can be a its own workflow.
  • Support multiple descendants of a single revision, when we can't automatically merge. Probably avoid any actual branching beyond that single revision.

I also want to present a non-technical version of these ideas during Wikimania, to get editor feedback...

Event Timeline

awight created this task.Feb 27 2015, 10:51 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2015, 10:51 PM
awight updated the task description. (Show Details)Feb 27 2015, 10:53 PM
awight set Security to None.
awight updated the task description. (Show Details)Feb 27 2015, 11:23 PM
daniel added a subscriber: daniel.Feb 28 2015, 11:11 AM
daniel assigned this task to awight.Feb 28 2015, 11:14 AM

From the IRC logs:

22:56:35 <sumanah> #action awight to keep investigating this, move motivations from Idealab page onto RfC, compare his idea to to other ways of implementing a draft feature, try to answer Tim's questions 2 & 3, and look for potential users (maybe 3rd party wikis)

daniel moved this task from Inbox to Backlog on the TechCom-RFC board.Feb 28 2015, 11:14 AM
He7d3r added a subscriber: He7d3r.Apr 21 2015, 4:50 PM
jayvdb added a subscriber: jayvdb.Jun 17 2015, 2:45 AM

Please confirm and promote this activity by assigning it to its owner, listing it or scheduling it at the Hackathon wiki page and by placing it in the right column at #Wikimania-Hackathon-2015. Thank you!

@awight are you planning to work on this task at Wikimania?

awight added a comment.Jul 7 2015, 2:45 PM

@Qgil
Very much so--I have a talk that was accepted, but unfortunately I've been trying to deal with this mysterious cancellation for a month now, with no response. The organizers are clearly overloaded, any suggestion how to proceed with getting myself back on the schedule?

@awight, I cannot help with the Wikimania schedule as I'm involved only in the Wikimania Hackathon organization. Maybe you should contact the user that did that change directly?

So, fine tuning my question. Is this an activity you will work on during the #wikimania-hackathon-2015? I just want to see whether this is a confirmed hacking project (or a meeting to be scheduled at the hackathon).

awight added a comment.EditedJul 8 2015, 10:47 PM

@Qgil, thanks for the clarification. No, I don't plan to do this at the hackathon, I'm mainly interested in reaching out to editors and gathering requirements.

@awight what is the status of this proposal? Have you been working more on collecting interest and/or working on a prototype?

A three-way merge would be an interesting way to handle edit conflict. Git-like cherry-picking is also useful in repairing vandalized pages that could not be resolved by simple revert.

A three-way merge would be an interesting way to handle edit conflict.

We have been doing that for the past ten years or so.

Qgil removed a subscriber: Qgil.Apr 17 2019, 9:54 AM
kchapman closed this task as Declined.Mon, Jul 22, 5:02 PM